MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028978Open CASCADE[OCCT] OCCT:Codingpublic2017-08-07 17:452017-10-23 09:09
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028978: Coding rules - suppress GCC compiler warnings -Warray-bounds within NCollection_Array1
DescriptionThe GCC 6.3.0 -Warray-bounds warnings for NCollection_Array1 constructor are misleading and should be suppressed.
/occt.git/inc/../src/NCollection/NCollection_Array1.hxx|215|warning: array subscript is below array bounds 
[-Warray-bounds]|


The warnings are emitted for a code initializing NCollection_Array1 from a local array with an lower index 1+, so that (Start-1) points out of local array range - but it is expected, since NCollection_Array1 stores pointer with this shift intentionally (to avoid shift within method accessing each element).

  Standard_Real knot_array[2] ;
  TColStd_Array1OfReal  the_knots(knot_array[0],1,2),
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
has duplicate 0028583closedkgv Coding Rules - eliminate GCC compiler warnings -Warray-bounds 
related to 0028980closedbugmaster Coding rules - suppress GCC compiler warnings -Warray-bounds within AdvApp2Var 

-  Notes
(0069176)
git (administrator)
2017-08-07 18:06

Branch CR28978 has been created by kgv.

SHA-1: 11c9475f3e4805752d176d3b8ea85e50f25725ad


Detailed log of new commits:

Author: kgv
Date: Mon Aug 7 18:04:33 2017 +0300

    0028978: Coding rules - suppress GCC compiler warnings -Warray-bounds within NCollection_Array1
(0069185)
kgv (developer)
2017-08-07 19:44

Please take the patch.
http://jenkins-test-10.nnov.opencascade.com/view/CR28978-master-KGV/view/OCCT%20compile/ [^]
(0069212)
bugmaster (administrator)
2017-08-08 16:13

Combination -
OCCT branch : CR28978 : SHA1 - 11c9475f3e4805752d176d3b8ea85e50f25725ad
Products branch : master
was compiled on Linux, MacOS and Windows platforms.

Number of compiler warnings:

OCCT :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

Products :
Linux: 5 (5 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)
(0069652)
git (administrator)
2017-08-18 17:00

Branch CR28978 has been deleted by kgv.

SHA-1: 11c9475f3e4805752d176d3b8ea85e50f25725ad

- Related Changesets
occt: master fdb8a039
Timestamp: 2017-08-07 15:04:33
Author: kgv
Committer: bugmaster
Details ] Diff ]
0028978: Coding rules - suppress GCC compiler warnings -Warray-bounds within NCollection_Array1
mod - src/NCollection/NCollection_Array1.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-08-07 17:45 kgv New Issue
2017-08-07 17:45 kgv Assigned To => kgv
2017-08-07 17:47 kgv Description Updated View Revisions
2017-08-07 18:04 kgv Description Updated View Revisions
2017-08-07 18:06 git Note Added: 0069176
2017-08-07 19:44 kgv Note Added: 0069185
2017-08-07 19:44 kgv Assigned To kgv => bugmaster
2017-08-07 19:44 kgv Status new => resolved
2017-08-07 19:44 kgv Status resolved => reviewed
2017-08-07 21:38 kgv Relationship added related to 0028980
2017-08-08 16:11 bugmaster Test case number => Not required
2017-08-08 16:13 bugmaster Note Added: 0069212
2017-08-08 16:13 bugmaster Status reviewed => tested
2017-08-11 07:52 bugmaster Changeset attached => occt master fdb8a039
2017-08-11 07:52 bugmaster Status tested => verified
2017-08-11 07:52 bugmaster Resolution open => fixed
2017-08-18 17:00 git Note Added: 0069652
2017-09-29 16:17 aiv Fixed in Version => 7.2.0
2017-09-29 16:29 aiv Status verified => closed
2017-10-23 09:09 abv Relationship added has duplicate 0028583


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker